Bug 970120 - Authentication with --password argument fails
Authentication with --password argument fails
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: packagedb-cli (Show other bugs)
18
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Pierre-YvesChibon
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-03 09:42 EDT by Petr Pisar
Modified: 2013-11-27 16:23 EST (History)
1 user (show)

See Also:
Fixed In Version: packagedb-cli-1.6.0-1.el6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-18 09:05:08 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Petr Pisar 2013-06-03 09:42:52 EDT
I call pkgdb-cli within this shell loop:

for PACKAGE in "$@"; do
    for RIGHT in $RIGHTS; do
        for RELEASE in $RELEASES; do
            pkgdb-cli \
                "--password=$PASSWORD" \
                request --cancel "$PACKAGE" "$RIGHT" "$RELEASE" || \
                exit "$?"
        done
    done
done

Since some time, it cannot authenticate despite the --password argument has correct password. The client reports about incorrect credentials. I guess something is wrong with the new Fedora authentication (after setting off the OpenID).

I have packagedb-cli-1.5.0-1.fc18.noarch, fedora-cert-0.5.10.1-2.fc18.noarch,
python-fedora-0.3.32.3-1.fc18.noarch.
Comment 1 Pierre-YvesChibon 2013-09-05 02:18:08 EDT
PackageDB doesn't use the OpenID authentication (yet), it might be more related to the server itself.

Do you have any logs by any chances ? Maybe worth running with --debug to generate some more output if you can reproduce it.
Comment 2 Pierre-YvesChibon 2013-09-05 04:16:53 EDT
hm, I wonder if this is related to #995430 if so I just pushed the fix to git
Comment 3 Fedora Update System 2013-09-05 05:26:52 EDT
packagedb-cli-1.5.1-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/packagedb-cli-1.5.1-1.fc20
Comment 4 Fedora Update System 2013-09-05 05:27:12 EDT
packagedb-cli-1.5.1-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/packagedb-cli-1.5.1-1.fc19
Comment 5 Fedora Update System 2013-09-05 05:27:30 EDT
packagedb-cli-1.5.1-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/packagedb-cli-1.5.1-1.fc18
Comment 6 Fedora Update System 2013-09-05 13:53:56 EDT
Package packagedb-cli-1.5.1-1.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing packagedb-cli-1.5.1-1.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-15872/packagedb-cli-1.5.1-1.fc20
then log in and leave karma (feedback).
Comment 7 Fedora Update System 2013-09-07 05:20:20 EDT
packagedb-cli-1.6.0-1.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/packagedb-cli-1.6.0-1.el5
Comment 8 Fedora Update System 2013-09-07 05:20:45 EDT
packagedb-cli-1.6.0-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/packagedb-cli-1.6.0-1.fc19
Comment 9 Fedora Update System 2013-09-07 05:21:07 EDT
packagedb-cli-1.6.0-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/packagedb-cli-1.6.0-1.fc18
Comment 10 Fedora Update System 2013-09-07 05:21:34 EDT
packagedb-cli-1.6.0-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/packagedb-cli-1.6.0-1.fc20
Comment 11 Fedora Update System 2013-09-07 05:21:57 EDT
packagedb-cli-1.6.0-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/packagedb-cli-1.6.0-1.el6
Comment 12 Fedora Update System 2013-09-18 09:05:08 EDT
packagedb-cli-1.6.0-1.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 13 Fedora Update System 2013-09-18 09:08:43 EDT
packagedb-cli-1.6.0-1.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 14 Fedora Update System 2013-09-22 19:49:15 EDT
packagedb-cli-1.6.0-1.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 15 Fedora Update System 2013-11-27 16:19:55 EST
packagedb-cli-1.6.0-1.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 16 Fedora Update System 2013-11-27 16:23:42 EST
packagedb-cli-1.6.0-1.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.